Skip to main content
GET
/
api
/
tools
/
v1
/
workspaces
List workspaces associated with an entity
curl --request GET \
  --url https://app.govly.com/api/tools/v1/workspaces \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "status": {
        "category": "<string>",
        "label": "<string>"
      },
      "description": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "commentsCount": 123,
      "primaryFocus": {
        "type": "opportunity",
        "id": "<string>"
      },
      "comments": [
        {
          "id": "<string>",
          "body": "<string>",
          "attachments": [
            {
              "id": "<string>",
              "workspaceId": "<string>",
              "filename": "<string>",
              "commentId": "<string>",
              "contentType": "<string>",
              "byteSize": 123,
              "createdAt": "2023-11-07T05:31:56Z",
              "file": {
                "url": "<string>",
                "expiresAt": "2023-11-07T05:31:56Z"
              }
            }
          ],
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z"
        }
      ],
      "attachments": [
        {
          "id": "<string>",
          "workspaceId": "<string>",
          "filename": "<string>",
          "commentId": "<string>",
          "contentType": "<string>",
          "byteSize": 123,
          "createdAt": "2023-11-07T05:31:56Z",
          "file": {
            "url": "<string>",
            "expiresAt": "2023-11-07T05:31:56Z"
          }
        }
      ]
    }
  ],
  "meta": {
    "count": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

associatedType
enum<string>
required
Available options:
opportunity
associatedId
string
required

Response

Matching workspaces

data
object[]
required
meta
object
required